Search Modaic documentation

Find a Modaic guide or API reference

Reference›API›Protégé

Get Protégé job

GET/v1/protege/{jobId}

Authorization

Authorizationstringrequired

Send a Modaic bearer token in the Authorization header.

Path Parameters

jobIdstringrequired
Protégé job ID.
import os
import requests

response = requests.get(
    "https://modaic.dev/api/v1/protege/44444444-4444-4444-8444-444444444444",
    headers={"Authorization": f"Bearer {os.environ['MODAIC_API_KEY']}"},
)
response.raise_for_status()
job = response.json()
idstring
Protégé job ID.
statusrunning | succeeded | failed | cancelled

Current job state.

The caller must have access to the job's repository. Inaccessible and unknown jobs both return 404 protege_job_not_found.

Was this page helpful?